Bug 242453 - devel/py-libzfs: Update to 1.0.20190402
Summary: devel/py-libzfs: Update to 1.0.20190402
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-05 15:40 UTC by Juraj Lutter
Modified: 2019-12-23 12:54 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
devel/py-libzfs patch (1.55 KB, patch)
2019-12-05 15:40 UTC, Juraj Lutter
no flags Details | Diff
devel/py-libzfs patch (3.98 KB, text/plain)
2019-12-06 20:18 UTC, Juraj Lutter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj Lutter 2019-12-05 15:40:14 UTC
Created attachment 209726 [details]
devel/py-libzfs patch

ixsystem's py-libzfs has been updated to the most recent git commit 383afa0
Comment 2 Kamila Součková 2019-12-06 12:44:08 UTC
This port currently does not build on FreeBSD 13 because of API changes in base. This seems to be fixed in py-libzfs upstream (see https://github.com/freenas/py-libzfs/commit/74cf19b6ff0e677574515265f11f2e58b22be425). Therefore, this port should be updated to a version that includes this commit.

Note that iocage depends on this, and thus iocage also does not build on FreeBSD 13. As quite a few people use iocage, I think the importance of this should be bumped.
Comment 3 William Grzybowski freebsd_committer 2019-12-06 16:35:27 UTC
Latest iocage no longer depends on py-libzfs
Comment 4 Juraj Lutter 2019-12-06 17:25:49 UTC
Latest af of which version?
Comment 5 Juraj Lutter 2019-12-06 20:18:20 UTC
Created attachment 209765 [details]
devel/py-libzfs patch
Comment 6 Juraj Lutter 2019-12-06 20:18:56 UTC
Correct shar file has been uploaded. The previous version was not a correct one.
Comment 8 William Grzybowski freebsd_committer 2019-12-23 12:41:57 UTC
That patch will likely break py-libzfs on 11 and 12.

This needs to be fixed upstream first.
Comment 9 commit-hook freebsd_committer 2019-12-23 12:54:18 UTC
A commit references this bug:

Author: wg
Date: Mon Dec 23 12:54:13 UTC 2019
New revision: 520716
URL: https://svnweb.freebsd.org/changeset/ports/520716

Log:
  devel/py-libzfs: update to 1.0.20191113

  PR:		242453
  Reported by:	Juraj Lutter

Changes:
  head/devel/py-libzfs/Makefile
  head/devel/py-libzfs/distinfo
Comment 10 William Grzybowski freebsd_committer 2019-12-23 12:54:35 UTC
Committed a new version which should fix this.